package org.gnu.glade;

import java.lang.reflect.Method;

import org.gnu.gtk.event.CellRendererTextEvent;
import org.gnu.gtk.event.CellRendererTextListener;

/**
 * CellRendererTextListener delegate class.
 *
 * @author Tom Ball
 */
class CellRendererTextDelegate extends ListenerDelegate implements CellRendererTextListener {

	public CellRendererTextDelegate(String signal, Object owner, Method handler, Object target)
		throws NoSuchMethodException {
		super(signal, owner, handler, target);
	}

	public void cellRendererTextEvent(CellRendererTextEvent event) {
		fireEvent(event);
	}
}
